Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
PK_SignatureScheme::KeyTooShort Class Reference

key too short exception, may be thrown by any function in this class if the private or public key is too short to sign or verify anything More...

`#include <cryptlib.h>`

Inheritance diagram for PK_SignatureScheme::KeyTooShort:

List of all members.

## Public Types

enum | ErrorType { NOT_IMPLEMENTED, INVALID_ARGUMENT, CANNOT_FLUSH, DATA_INTEGRITY_CHECK_FAILED, INVALID_DATA_FORMAT, IO_ERROR, OTHER_ERROR }
| error types More...

## Public Member Functions

const char * | what () const throw ()
const std::string & | GetWhat () const
void | SetWhat (const std::string &s)
ErrorType | GetErrorType () const
void | SetErrorType (ErrorType errorType)

## Detailed Description

key too short exception, may be thrown by any function in this class if the private or public key is too short to sign or verify anything

Definition at line 1295 of file cryptlib.h.

## Member Enumeration Documentation

enum Exception::ErrorType`[inherited]`

error types

Enumerator:

  NOT_IMPLEMENTED | a method is not implemented
  INVALID_ARGUMENT | invalid function argument
  CANNOT_FLUSH | BufferedTransformation received a Flush(true) signal but can't flush buffers.
  DATA_INTEGRITY_CHECK_FAILED | data integerity check (such as CRC or MAC) failed
  INVALID_DATA_FORMAT | received input data that doesn't conform to expected format
  IO_ERROR | error reading from input device or writing to output device
  OTHER_ERROR | some error not belong to any of the above categories

Definition at line 113 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h